### Function

# Camel hostname_utils_requires_ascii

since: 3.44

#### Declaration [src]

    gboolean
    camel_hostname_utils_requires_ascii (
      const gchar* hostname
    )

#### Description [src]

Check whether the `hostname` requires conversion to ASCII. That can be when a character in it can look like an ASCII character, even it being a Unicode letter. This can be used to display host names in a way of invulnerable to IDN homograph attacks.

Available since: 3.44

#### Parameters

`hostname`

  Type: `const gchar*`

  A host name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, when the `hostname` should be converted to an ASCII equivalent, `FALSE`, when it can be shown as is.